%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define api 0.4
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %{name}

Name:		gegl
Version:	0.4.12
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Summary(de): GEGL (Generic Graphics Library) - Farbbibliothek Gegl
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------------
Patch0:		gegl-0.3.4-soname.patch
Patch1:		gegl-0.3.4-linking.patch
#----------------------------------------------
BuildRequires: libbabl0.1-devel
BuildRequires: libcairo-devel
BuildRequires: libexiv2-devel
#BuildRequires: libffmpeg-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libgexiv2-devel
BuildRequires: libgirepository-devel
BuildRequires: libglib2.0-devel
BuildRequires: libilmbase-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblcms2-devel
BuildRequires: libOpenEXR-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpng1.6-devel
BuildRequires: librsvg2-devel
BuildRequires: libSDL-devel
BuildRequires: libspiro-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libvala-devel
BuildRequires: LibRaw-devel
BuildRequires: asciidoc
BuildRequires: enscript
BuildRequires: graphviz
BuildRequires: ruby
BuildRequires: locales
BuildRequires: vala-tools
#----------------------------------------------

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten.

%package -n     %{libname}
Summary:        A library for %{name}
Summary(de):	Bibliothek für %name
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -n %{libname} -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten. 


%package -n     %{develname}
Summary:        Header files for %{name}
Summary(de):	Headerdateien für %name
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:		libgegl0.3-devel

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -n %{develname} -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten.

%package doc
Summary:  %{summary}
Group: Documentation
BuildArch: noarch

%description doc
This package provides API documentation for %name.

#german
%description doc -l de
Die API Dokumentation für %name.


%prep
%setup -q
%apply_patches

%build
export LC_ALL=UTF-8
autoreconf -fi
%configure2_5x --disable-workshop
%make_build

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%find_lang gegl-%{api}

%files -f gegl-%{api}.lang
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp
%{_bindir}/gcut

%files -n %{libname}
%{_libdir}/libgegl-%{api}.so.%{major}*
%{_libdir}/libgegl-npd-%{api}.so.%{major}*
%{_libdir}/libgegl-sc-%{api}.so.%{major}*
%{_libdir}/gegl-%{api}/
%{_libdir}/girepository-1.0/Gegl-%{api}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{api}.gir
%{_datadir}/vala/vapi/gegl-%{api}.*

%files doc
%doc ChangeLog README AUTHORS NEWS
%doc %{_datadir}/gtk-doc/html/gegl/

%changelog
* Thu Nov 15 2018 adrianomorselli <adrianomorselli> 0.4.12-1uplos2018
- update
